#define FogRange 8 //[2 4 6 8 10 12 14 16 20 24 28 32]

vec3 calcFog(vec3 color, vec3 fragpos){
float fog = min(length(fragpos)/(FogRange*(12)),1.0);
return mix(color, vec3(0.008,0.005,0.01),fog);
}

vec3 calcWFog(vec3 color, vec3 wcol, float wstr, float fogrange, float nofog, vec3 fragpos){
float fog = min(length(fragpos)/(fogrange*(1.0+3.0*eBS)),1.0);
return mix(color,pow(wcol*pow(wstr,0.75),vec3(2.2)),min(fog,1.0)*max(1.0-nofog,0.0));
}